﻿@{
    ViewBag.Title = "Password Change Page";
}

@{
    Layout = "";
}

@model OwnerSite.ViewModels.LoginViewModel

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{

    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>HAMS - Login</title>
    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <!-- Main styles for this application-->
    <link href="~/Content/css/style.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/pace.min.css" rel="stylesheet" />


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
</head>
<body class="app flex-row align-items-center">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card-group">
                    <div class="card p-1">
                        <div class="card-body">
                            <div class="row">
                                <div class="col" align="left">
                                    <img src="~/Content/img/Best-Western-Logo.png" alt="Heritage Hotel" style="width:60%;" />
                                </div>
                                <div class="col" align="center"></div>
                                <div class="col ml-sm-3" align="center">
                                    <img src="~/Content/img/Coral-Reef-Logo.png" alt="Coral Reef Properties" style="width:100%;" />
                                </div>
                            </div>
                            <h6 align="center">Enter Your Password</h6>
                            @using (Html.BeginForm("PasswordCreate", "Home", FormMethod.Post))
                            {
                                @Html.AntiForgeryToken()
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <div class="form-group row" align="center">
                                    <label class="col-lg-4 col-md-6 col-sm-4 col-form-label" align="left" for="text-input">Password: </label>
                                    <div class="col col-md-6">
                                        @Html.TextBoxFor(m => m.Password, new { @class = "form-control", placeholder = "Password", type = "password", @required = 'd' })
                                        @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                                <div class="form-group row mt-3" align="center">
                                    <label class="col-lg-4 col-md-6 col-sm-4 col-form-label" align="left" for="text-input">Confirm Password: </label>
                                    <div class="col-md-6">
                                        @Html.TextBoxFor(m => m.ConfirmPassword, new { @class = "form-control password", placeholder = "Confirm Password", type = "password", @required = 'd' })
                                    </div>
                                </div>
                                <div class="form-group" align="center">
                                    <div class="col-5">
                                        <button type="submit" id="Next" class="btn btn-primary px-4" onclick="function1()">Submit</button>
                                    </div>
                                </div>
                                @Html.HiddenFor(m => m.OwnerSmartId, new { @id = "ownerSmartId" })
                                @Html.HiddenFor(m => m.SlotId, new { @id = "SlotId" })
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        $('#password-input, #Confirm-Pass').on('keyup', function () {
            if ($('#password-input').val() == $('#Confirm-Pass').val()) {
                $('#message').html('Matching').css('color', 'green');
            } else
                $('#message').html('Not Matching').css('color', 'red');
        });
    </script>

    <script src="~/Content/vendors/js/toastr.min.js"></script>

    <script>
        $(document).ready(function () {
            if (sessionStorage.reloadAfterPageLoad) {
                sessionStorage.reloadAfterPageLoad = false;
                toastr.error('Please Match Your Passwords', 'Error!!!!', {
                    closeButton: true,
                    progressBar: true,

                });
            }
        });
    </script>
    <script type="text/javascript">
        function function1() {
            if ($('#password-input').val() != $('#Confirm-Pass').val()) {

                sessionStorage.reloadAfterPageLoad = true;
                windows.location.reload();
                alert("in passwrod check");
            }
        }
    </script>
    <script>
        function SendingSMSCodeAgain() {

            var myModel = {
                ownerSmartId: $('#ownerSmartId').val(),
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Home/SendingOTPViaSMSAgain/',
                data: myModel,
                success: function (result) {
                    toastr.success('Your new OTP is sent; Please, use the last sent OTP.', 'Sent!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                },
                error: function () {
                    //error();
                }
            });
        }
    </script>
    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
</body>    
</html>

